Last Comment Bug 735492 - B2G 3G: Simplify data call handling in ril_worker.js
: B2G 3G: Simplify data call handling in ril_worker.js
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla14
Assigned To: Philipp von Weitershausen [:philikon]
:
Mentors:
Depends on:
Blocks: b2g-3g
  Show dependency treegraph
 
Reported: 2012-03-13 15:36 PDT by Philipp von Weitershausen [:philikon]
Modified: 2012-05-31 20:56 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (23.49 KB, patch)
2012-03-13 15:38 PDT, Philipp von Weitershausen [:philikon]
no flags Details | Diff | Review
v2 (8.67 KB, patch)
2012-03-14 01:20 PDT, Philipp von Weitershausen [:philikon]
kyle: review+
Details | Diff | Review

Description Philipp von Weitershausen [:philikon] 2012-03-13 15:36:33 PDT
The current data call handling code was written when we didn't yet have a generic way of passing around the "options" object between RIL requests and responses. We do have that now, so we should convert it to use that.
Comment 1 Philipp von Weitershausen [:philikon] 2012-03-13 15:38:59 PDT
Created attachment 605573 [details] [diff] [review]
v1
Comment 2 Philipp von Weitershausen [:philikon] 2012-03-14 01:20:51 PDT
Created attachment 605678 [details] [diff] [review]
v2

Wtf, the first patch had some accidental file removal in it. I don't even know how I managed to do that. I'm simply going to blame Mercurial for this, as usual. Here's fixed version, also with some minor improvements that I discovered between then and now.
Comment 3 Philipp von Weitershausen [:philikon] 2012-03-15 18:03:37 PDT
https://hg.mozilla.org/mozilla-central/rev/2892ef58d7f5

Note You need to log in before you can comment on or make changes to this bug.